Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 111240 - CAN-2003-0961 local privilege escalation via do_brk()
CAN-2003-0961 local privilege escalation via do_brk()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 03:36 EST by Mark J. Cox
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 08:57:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:389 high SHIPPED_LIVE Important: kernel security update 2003-12-01 00:00:00 EST

  None (edit)
Description Mark J. Cox 2003-12-01 03:36:31 EST
A flaw in bounds checking in do_brk in the Linux kernel before 2.4.23
can allow a local user to gain root privileges.

The URL below gives the (2 line) patch that corrects this issue.

http://linux.bkbits.net:8080/linux-2.4/cset@marcelo@dmt.cyclades|ChangeSet|20031002082056|19757

Although the issue was commited on October 2nd 2003 it was not
believed to be exploitable for privilege escalation.  Working exploits
for this issue have been found in the wild.

Users of Red Hat Enterprise Linux 3 should upgrade to the kernel
packages provided by RHBA-2003:308 released on 30th October 2003 which
already contained a patch to correct this issue.
Comment 1 Mark J. Cox 2003-12-01 03:37:33 EST
Updated packages for RHEL 2.1 containing just the patch referenced
above are currently in QA.  This issue will be public on 1st Dec 2003.

Note You need to log in before you can comment on or make changes to this bug.